keycardai-oauth 0.1.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
metadata ADDED
@@ -0,0 +1,87 @@
1
+ --- !ruby/object:Gem::Specification
2
+ name: keycardai-oauth
3
+ version: !ruby/object:Gem::Version
4
+ version: 0.1.0
5
+ platform: ruby
6
+ authors:
7
+ - Keycard
8
+ bindir: bin
9
+ cert_chain: []
10
+ date: 1980-01-02 00:00:00.000000000 Z
11
+ dependencies:
12
+ - !ruby/object:Gem::Dependency
13
+ name: jwt
14
+ requirement: !ruby/object:Gem::Requirement
15
+ requirements:
16
+ - - ">="
17
+ - !ruby/object:Gem::Version
18
+ version: '2.7'
19
+ type: :runtime
20
+ prerelease: false
21
+ version_requirements: !ruby/object:Gem::Requirement
22
+ requirements:
23
+ - - ">="
24
+ - !ruby/object:Gem::Version
25
+ version: '2.7'
26
+ description: Token exchange (RFC 8693), client credentials, authorization code + PKCE,
27
+ dynamic client registration (RFC 7591), authorization server discovery (RFC 8414),
28
+ JWT/JWKS verification, application credentials, and the AccessContext delegated-access
29
+ container.
30
+ email:
31
+ - support@keycard.ai
32
+ executables: []
33
+ extensions: []
34
+ extra_rdoc_files: []
35
+ files:
36
+ - CHANGELOG.md
37
+ - LICENSE
38
+ - README.md
39
+ - lib/keycardai/oauth.rb
40
+ - lib/keycardai/oauth/access_context.rb
41
+ - lib/keycardai/oauth/authenticate.rb
42
+ - lib/keycardai/oauth/authorization_code.rb
43
+ - lib/keycardai/oauth/client_credentials_client.rb
44
+ - lib/keycardai/oauth/client_secret.rb
45
+ - lib/keycardai/oauth/discovery.rb
46
+ - lib/keycardai/oauth/errors.rb
47
+ - lib/keycardai/oauth/exchange_tokens.rb
48
+ - lib/keycardai/oauth/http.rb
49
+ - lib/keycardai/oauth/jwks_keyring.rb
50
+ - lib/keycardai/oauth/jwt_signer.rb
51
+ - lib/keycardai/oauth/jwt_verifier.rb
52
+ - lib/keycardai/oauth/pkce.rb
53
+ - lib/keycardai/oauth/private_key.rb
54
+ - lib/keycardai/oauth/registration.rb
55
+ - lib/keycardai/oauth/substitute_user.rb
56
+ - lib/keycardai/oauth/token_exchange_client.rb
57
+ - lib/keycardai/oauth/token_requests.rb
58
+ - lib/keycardai/oauth/token_sources.rb
59
+ - lib/keycardai/oauth/token_types.rb
60
+ - lib/keycardai/oauth/token_verifier.rb
61
+ - lib/keycardai/oauth/version.rb
62
+ - lib/keycardai/oauth/web_identity.rb
63
+ - lib/keycardai/oauth/workload_identity.rb
64
+ homepage: https://github.com/keycardai/ruby-sdk
65
+ licenses:
66
+ - MIT
67
+ metadata:
68
+ rubygems_mfa_required: 'true'
69
+ source_code_uri: https://github.com/keycardai/ruby-sdk/tree/main/oauth
70
+ rdoc_options: []
71
+ require_paths:
72
+ - lib
73
+ required_ruby_version: !ruby/object:Gem::Requirement
74
+ requirements:
75
+ - - ">="
76
+ - !ruby/object:Gem::Version
77
+ version: '3.2'
78
+ required_rubygems_version: !ruby/object:Gem::Requirement
79
+ requirements:
80
+ - - ">="
81
+ - !ruby/object:Gem::Version
82
+ version: '0'
83
+ requirements: []
84
+ rubygems_version: 3.6.9
85
+ specification_version: 4
86
+ summary: OAuth 2.0 primitives for the Keycard platform
87
+ test_files: []